Bug 1142154 - unprivileged user can't change own password and avatar
Summary: unprivileged user can't change own password and avatar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cockpit
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1094138
Blocks: 1144010
TreeView+ depends on / blocked
 
Reported: 2014-09-16 09:15 UTC by David Spurek
Modified: 2015-03-02 05:29 UTC (History)
3 users (show)

Fixed In Version: cockpit-0.26-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 02:09:50 UTC


Attachments (Terms of Use)

Description David Spurek 2014-09-16 09:15:45 UTC
Description of problem:
unprivileged user can't change own password.
Log as unprivileged user and change its password (everything looks ok). Log out and try log in. User can't log in with new password (log in with the old password is successful)


Version-Release number of selected component (if applicable):
cockpit-0.23-1.fc21

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 David Spurek 2014-09-16 09:20:22 UTC
User also can't change own avatar.

Comment 2 Stef Walter 2014-09-18 14:34:34 UTC
Upstream issue: https://github.com/cockpit-project/cockpit/issues/1206

Comment 3 Fedora Update System 2014-10-08 08:39:37 UTC
cockpit-0.26-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cockpit-0.26-1.fc21

Comment 4 Fedora Update System 2014-10-10 15:58:35 UTC
Package cockpit-0.26-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cockpit-0.26-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12464/cockpit-0.26-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-10-16 02:09:50 UTC
cockpit-0.26-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.